__halt_compiler
highlight_string
Misc. Functions
PHP Manual

# highlight_file

(PHP 4, PHP 5)

highlight_file — Syntax highlighting of a file

### Description

mixed highlight_file ( string `$filename` [, bool `$return` = false ] )

Prints out or returns a syntax highlighted version of the code contained in `filename` using the colors defined in the built-in syntax highlighter for PHP.

Many servers are configured to automatically highlight files with a phps extension. For example, example.phps when viewed will show the syntax highlighted source of the file. To enable this, add this line to the httpd.conf:

    AddType application/x-httpd-php-source .phps

### Parameters

`filename`

  Path to the PHP file to be highlighted.

`return`

  Set this parameter to `TRUE` to make this function return the highlighted code.

### Return Values

If `return` is set to `TRUE`, returns the highlighted code as a string instead of printing it out. Otherwise, it will return `TRUE` on success, `FALSE` on failure.

### Changelog

Version | Description
--- | ---
4.2.1 | This function is now also affected by safe_mode and open_basedir.
4.2.0 | The `return` parameter was added.

### Notes

Caution

Care should be taken when using the highlight_file() function to make sure that you do not inadvertently reveal sensitive information such as passwords or any other type of information that might create a potential security risk.

> Note:

> When the `return` parameter is used, this function uses internal output buffering so it cannot be used inside an ob_start() callback function.

### See Also

- highlight_string() - Syntax highlighting of a string
- Highlighting INI directives

__halt_compiler
highlight_string
Misc. Functions
PHP Manual